Bug 1007999 - Brightness controll issue on laptops since 3.10.x Kernel (can't adjust, always on max) [NEEDINFO]
Brightness controll issue on laptops since 3.10.x Kernel (can't adjust, alway...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 13:59 EDT by Krystian
Modified: 2014-03-17 14:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:45:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Krystian 2013-09-13 13:59:56 EDT
Description of problem:

Since 3.10.x kernels, brightess is always on maximum level (even on the newest 3.10.11-200 kernel). Changing level to max or low by Fn keys os xbacklight do nothing, brightness is always on maximum. Bug was not on 3.9.x kernels, where brightness control worked. Affect Fedora 18 too.

Laptop is Lenovo B570e. From Fedora 16 (it was the first Fedora on this laptop) to 18 since 3.10.x, controlling brightness levels always worked.

Bug affects other laptops too. There is a topic about this on FedoraForums: http://forum.fedoraforum.org/showthread.php?p=1665803

- The only solution I've found is adding this line to /etc/default/grub:

GRUB_CMDLINE_LINUX_DEFAULT="acpi_osi=Linux acpi_backlight=vendor thinkpad-acpi.brightness_enable=0"
 
- Then execute as root:  grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

- Then after restart Fn keys not work anymore, but brightness can be changed by xbacklight.

Lspci:

$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
00:1f.5 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller (rev 05)
02:00.0 Network controller: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)



Version-Release number of selected component (if applicable):

Kernels 3.10.x to newest 3.10.11-200



Steps to Reproduce:
1. Install Fedora 18/19 on HP or Lenovo laptops
2. Yum upgrade
3. Reboot system, brightness from start will be set to maximum and there is no way to change it.

Actual results:

- Brightess is always on maximum


Expected results:

- Fixed bug, so brightes can be controlled again by Fn keys and xbacklight like on 3.9.x kernels and olders kernels or Fedora versions


Additional info:

FedoraForums thread about this: http://forum.fedoraforum.org/showthread.php?p=1665803

Affects HP laptops too (see forum link above).
Comment 1 Josh Boyer 2013-09-18 16:39:25 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Krystian 2013-09-19 05:48:22 EDT
Unfortunately, bug still present on 3.11.1-200.fc19.x86_64 :-(
Comment 3 Justin M. Forbes 2014-01-03 17:12:25 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 4 Krystian 2014-01-03 17:19:17 EST
Changed from Fedora 19 to 20. Unfortunately bug still exist on 3.12.5-302.fc20.x86_64.

I don't know that is problem of vanilla kernel or stricte Fedora kernels, but something goes wrong after 3.10.x, on 3.9.x kernel problem not exist.

Best Regards.
Comment 5 Justin M. Forbes 2014-02-24 09:05:35 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2014-03-17 14:45:28 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.